![Wet Pancake Banner](.attachments/Images/wet-pancake-banner.png)

# Summary

WetPancake consists of a .Net 4.7 library, a console program and a testing library. The purpose of this repository is to provide a way for people to generate random "placeholder text" -- with a Markov Chain. It does this by making the .Net 4.7 library available on NuGet and providing a console program which exposes the features of the library. The console program is a stand-alone one so no installer is required to run it.

## Pre-Requisites

- Visual Studio 2017
- F#
- C#
- XUnit
- FsCheck
- Console.Waterworks
- .Net 4.7

### Wet Pancake (Library/NuGet Package)

This is a F# library project, using .Net 4.7. You can install this package with NuGet. The profile page for WetPancake is available at [www.nuget.org/profiles/Craig.Oates](https://www.nuget.org/profiles/Craig.Oates).

You can add Wet Pancake to your project via the following command (using the Package Manager console):

``` powershell
// Remember to enter the package version you want.
Install-Package WetPancake -Version 1.0.0
```

For further information about this project, please visit the [wiki](https://git.abbether.net/craig.oates/Wet-Pancake/wiki).

### Wet Pancake CLI

This project is a C# console program, using .Net 4.7. You use it by entering commands and awaiting the result. It uses [Console.Waterworks](https://git.abbether.net/craig.oates/Console.Waterworks) to parse the commands so, if you want to extend it, I recommend you read its [wiki](https://git.abbether.net/craig.oates/Console.Waterworks/wiki). If you want to get going straight away, I recommend using *GenerateRandomText*. For more commands, you can either type *Help* into the console or visit the [wiki](https://git.abbether.net/craig.oates/Wet-Pancake/wiki).

![Image of the CLI generating text](.attachments/Images/cli-generating-text.png)

### Test Centre

This project holds all the tests for this solution. If uses a combination of unit tests ([XUnit](http://xunit.github.io/)) and property tests ([FsCheck](https://fscheck.github.io/FsCheck/)). If you are unfamiliar with either of them, click on their links for more information. Also, all the tests are accessible in Visual Studio's Test Explorer. This means you can identify failing tests with ease.

![Image of VS's Test Explorer](.attachments/Images/test-explorer-example.png)

## About the Creator

Hi, my name is Craig and I am the creator of Wet Pancake. Thanks for checking it out.

- Web: [http://www.craigoates.net](http://www.craigoates.net)
- Email: [craig@craigoates.net](mailto:craig@craigoates.net)
- Project:  [http://www.craigoates.net/Software/project/12](http://www.craigoates.net/Software/project/12)

