﻿module internal TestingConstants

(* Valid Text Files
===================================================================================================================
Use these to quickly reference the built-in .txt files within Test Centre.
They should, also, mimic the .txt files in Wet Pancake/textFiles.
If you are noticing inconsistent behaviour between Test Centre and Wet Pancake, make sure these files match. *)

[<Literal>]
let ConsoleWaterworks = __SOURCE_DIRECTORY__ +  @"\TextFiles\console-waterworks-announcement.txt"

[<Literal>]
let DesktopClock = __SOURCE_DIRECTORY__ + @"\TextFiles\desktop-clock-info.txt"

[<Literal>]
let TestPost = __SOURCE_DIRECTORY__ + @"\TextFiles\test-post.txt"

[<Literal>]
let WordGenerator = __SOURCE_DIRECTORY__ +  @"\TextFiles\word-generator.txt"

(* Invalid Input
===================================================================================================================
These values should not mimic or reference anything in Wet Pancake.
Below should just be dummy content/values. *)

[<Literal>]
let InvalidFilePathInput = __SOURCE_DIRECTORY__ + @"Invalid/file.txt"

[<Literal>]
let InvalidFileTypeInput = __SOURCE_DIRECTORY__ + @"\TextFiles\desktop-clock-info.doc"

[<Literal>]
let InvalidTextFile = __SOURCE_DIRECTORY__ + @"\TextFiles\invalid-text.txt"
